Skip to main content

Radar Imagery

Radar images display observed precipitation from any of the nine MetService radar sites around NZ. Images are available every 7.5 minutes (the time it takes for a complete scan to be completed). These calls return a set of one or more radar images. The 70km and 130km images are centered over airports (airport centric) and the 300km radar images are centered over the radar sites themselves. There is also a composite image of the 300km images from all of the radars. The name of the airport centric images are based on the airport they are centered over and the name of the 300km images are based on the location of the radar site.

18.1 Latest for a Location

Request the latest radar image for an airport or radar location. See tables below for airport or radar names based upon range.

18.1.1 API Call:

GET /aviation/radar/{region}/{range}/latest

18.1.2 Path Parameters:

Path ParameterExampleDescription
RegionKKEA supported 3-letter airport or Radar code (upper case). See table below for valid codes. This parameter is Mandatory.
Range70kmA supported range for the radar. Valid values: 70km, 130km, 300km. This parameter is Mandatory.

18.1.3 Example:

This example would return the latest 70km radar image for Kerikeri Airport.

GET /aviation/radar/KKE/70km/latest

18.1.4 API Response:

{
"version":"1.0",
"issue-time":"2018-10-15T00:12:29Z",
"path":"/radar/KKE/70km/latest",
"response":[
{
"met:locator":"`https://api.metservice.com/assets/aviation/radar/KKE.70km.20181014235249.PPIZEG9.gif",`
"met:range":"70km",
"met:longitude":"173.91190",
"av:radar-region":"KKE",
"met:product-name":"radar",
"met:domain":"aviation",
"met:latitude":"-35.26280",
"met:projection":"Mercator",
"met:valid-at":"2018-10-14T23:52:49Z",
"met:range-rings-km":"`https://api.metservice.com/assets/aviation/radar/overlays/km_rings_70km.png",`
"met:range-rings-nm":"`https://api.metservice.com/assets/aviation/radar/overlays/nm_rings_70km.png"`
}
]
}

18.2 Last n minutes or hours for a Location

Request the last n hours or minutes of radar imagery for an airport or radar location. See tables below for airport or radar names based upon range.

18.2.1 API Call:

GET /aviation/radar/{region}/{range}/last/{n}/{time}

18.2.2 Path Parameters:

Path ParameterExampleDescription
RegionKKEA supported 3-letter airport or Radar code (upper case). See table below for valid codes. This parameter is Mandatory.
Range70kmA supported range for the radar. Valid values: 70km, 130km, 300km. This parameter is Mandatory.
n2The duration in time units to return the data for. Valid values: up to 24 hours or 120 minutes. This parameter is Mandatory.
timehoursThe time unit for the duration parameter (n). Valid values: hours or minutes. This parameter is Mandatory.

18.2.3 Example:

This example would return the set of 70km radar images produced in the last 25 minutes for Kerikeri Airport.

GET /aviation/radar/KKE/70km/last/25/minutes

18.2.4 API Response:

{
"version":"1.0",
"issue-time":"2018-10-15T00:22:13Z",
"path":"/radar/KKE/70km/last/25/minutes",
"response":[
{
"met:locator":"`https://api.metservice.com/assets/aviation/radar/KKE.70km.20181015000749.PPIZFFZ.gif",`
"met:range":"70km",
"met:longitude":"173.91190",
"av:radar-region":"KKE",
"met:product-name":"radar",
"met:domain":"aviation",
"met:latitude":"-35.26280",
"met:projection":"Mercator",
"met:valid-at":"2018-10-15T00:07:49Z",
"met:range-rings-km":"`https://api.metservice.com/assets/aviation/radar/overlays/km_rings_70km.png",`
"met:range-rings-nm":"`https://api.metservice.com/assets/aviation/radar/overlays/nm_rings_70km.png"`
},
{
"met:locator":"`https://api.metservice.com/assets/aviation/radar/KKE.70km.20181015000019.PPIZF1A.gif",`
"met:range":"70km",
"met:longitude":"173.91190",
"av:radar-region":"KKE",
"met:product-name":"radar",
"met:domain":"aviation",
"met:latitude":"-35.26280",
"met:projection":"Mercator",
"met:valid-at":"2018-10-15T00:00:19Z",
"met:range-rings-km":"`https://api.metservice.com/assets/aviation/radar/overlays/km_rings_70km.png",`
"met:range-rings-nm":"`https://api.metservice.com/assets/aviation/radar/overlays/nm_rings_70km.png"`
}
]
}

18.2.5 Table of Airport Centric 70km and 130km Radar Images:

Airport Code | Latitude | Longitude | Description KKE | 35.26280S | 173.91190E | Kerikeri Airport AKL | 37.00000S | 174.80000E | Auckland Airport TRG | 37.67200S | 176.19701E | Tauranga Airport GIS | 38.66500S | 177.97830E | Gisborne Airport NPL | 39.00800S | 174.18201E | New Plymouth Airport WLG | 41.32240S | 174.80000E | Wellington Airport HKK | 42.71500S | 170.98830E | Hokitika Airport CHC | 43.48300S | 172.53320E | Christchurch Airport DUD | 45.92585S | 170.20222E | Dunedin Airport IVC | 46.41700S | 168.32001E | Invercargill Airport

18.2.6 Table of Radar Centric 300km Radar Images:

Radar Code | Latitude | Longitude | Description NLD | 35.08058S | 173.80530E | Northland Radar AKL | 36.28333S | 174.71056E | Auckland Radar BOP | 38.06569S | 176.06167E | Bay of Plenty Radar MAH | 39.16806S | 177.88778E | Mahia Radar NPL | 39.01028S | 174.17694E | New Plymouth Radar WLG | 41.31139S | 174.64611E | Wellington Radar WLD | 42.73833S | 171.06167E | Westland Radar CNY | 43.78472S | 172.02306E | Canterbury Radar OTA | 45.68951S | 170.41858E | Otago Radar INV | 46.41806S | 168.33056E | Invercargill Radar

18.3 Latest composite image for NZ

Request the latest composite radar image for NZ.

18.3.1 API Call:

GET /aviation/radar/NZ/latest

18.3.2 Example:

This example would return the latest composite radar image all of NZ.

GET /aviation/radar/NZ/latest

18.3.4 API Response:

{
"version": "1.0",
"issue-time": "2023-05-23T22:45:38Z",
"path": "/radar/NZ/latest",
"response": [
{
"met:locator": "`https://api.metservice.com/aviation/assets/radar/nz/NZ.20230523223500.gif",`
"av:radar-region": "NZ",
"met:product-name": "radar",
"met:domain": "aviation",
"met:valid-at": "2023-05-23T22:35:00Z"
}
]
}

18.4 Last n minutes or hours for NZ

Request the last n hours or minutes of composite radar imagery for NZ.

18.4.1 API Call:

GET /aviation/radar/NZ/last/{n}/{time}

18.4.2 Path Parameters:

Path ParameterExampleDescription
n2The duration in time units to return the data for. Valid values: up to 24 hours or 120 minutes. This parameter is Mandatory.
timehoursThe time unit for the duration parameter (n). Valid values: hours or minutes. This parameter is Mandatory.

18.4.3 Example:

This example would return the set of 70km radar images produced in the last 25 minutes for Kerikeri Airport.

GET /aviation/radar/NZ/last/30/minutes

18.4.4 API Response:

{
"version": "1.0",
"issue-time": "2023-05-23T22:48:16Z",
"path": "/aviation/api/aviation/radar/NZ/last/30/minutes",
"response": [
{
"met:locator": "`https://api.metservice.com/aviation/assets/radar/nz/NZ.20230523223500.gif",`
"av:radar-region": "NZ",
"met:product-name": "radar",
"met:domain": "aviation",
"met:valid-at": "2023-05-23T22:35:00Z"
},
{
"met:locator": "`https://api.metservice.com/aviation/assets/radar/nz/NZ.20230523222800.gif",`
"av:radar-region": "NZ",
"met:product-name": "radar",
"met:domain": "aviation",
"met:valid-at": "2023-05-23T22:28:00Z"
},
{
"met:locator": "`https://api.metservice.com/aviation/assets/radar/nz/NZ.20230523222000.gif",`
"av:radar-region": "NZ",
"met:product-name": "radar",
"met:domain": "aviation",
"met:valid-at": "2023-05-23T22:20:00Z"
}
]
}